ReadCommand.Type (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Enum ReadCommand.Type

- java.lang.Object
- - java.lang.Enum<ReadCommand.Type>
  - - org.apache.cassandra.db.ReadCommand.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReadCommand.Type>
  Enclosing class:
    ReadCommand

      public static enum ReadCommand.Type
      extends java.lang.Enum<ReadCommand.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GET_BY_NAMES`
    `GET_SLICES`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `serializedValue`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReadCommand.Type` | `fromSerializedValue(byte b)`
    `static ReadCommand.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReadCommand.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GET_BY_NAMES

          public static final ReadCommand.Type GET_BY_NAMES

    - #### GET_SLICES

          public static final ReadCommand.Type GET_SLICES

  - ### Field Detail

    - #### serializedValue

          public final byte serializedValue

  - ### Method Detail

    - #### values

          public static ReadCommand.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReadCommand.Type c : ReadCommand.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReadCommand.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromSerializedValue

          public static ReadCommand.Type fromSerializedValue(byte b)

Copyright © 2014 The Apache Software Foundation